// creator  : weidu.exe (version 23100)
// argument : RAMAZI.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~RAMAZI~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 21 even though they appear after this state */
~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #2636 /* ~Please, Yoshimo, just let me--let me gather up my belongings.~ */
  IF ~ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN REPLY #2637 /* ~As you wish, lass.~ */ GOTO 3
  IF ~~ THEN REPLY #2638 /* ~Look, Anomen, the sun is rising...~ [AERIE49] */ GOTO 1
  IF ~ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN REPLY #2639 /* ~Aye, like a bird of raw and flaming power... You don't talk much, do you.~ [ANOMEN47] */ DO ~~ GOTO 4
  IF ~ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
ReactionGT(LastTalkedToBy,HOSTILE_UPPER)
~ THEN REPLY #2679 /* ~Eeeh, yes, though I don't think you will be scaring quite who you expect.~ */ GOTO 4
  IF ~ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)
~ THEN REPLY #2680 /* ~How do I get out of this dog and pony show?~ */ GOTO 5
  IF ~ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
~ THEN REPLY #2681 /* ~Ahh, what the hell. Right-o, Minsc! Our deeds will ring in the evil ears we box and label 'Do not open 'til mid-winter fest'!~ */ DO ~~ GOTO 5
END

IF ~~ THEN BEGIN 1 // from: 8.3 7.3 6.3 5.0 4.0 3.0 2.0 0.1
  SAY #2640 /* ~What do you mean?~ */
  IF ~~ THEN DO ~SetGlobal("HelpRamazith","GLOBAL",4)
~ EXIT
END

IF WEIGHT #2 /* Triggers after states #: 21 even though they appear after this state */
~Global("HelpRamazith","GLOBAL",4)
~ THEN BEGIN 2 // from:
  SAY #2641 /* ~You hesitate in your speech as if you are considering what to say next.  Knights, such as myself, must be speaking with people constantly.~ */
  IF ~~ THEN REPLY #2643 /* ~Ha, I do not have the time to be frightened.  And besides... the Order cannot turn me aside forever.~ */ GOTO 1
  IF ~~ THEN REPLY #2646 /* ~Er, yes. Now let's get going before we draw a crowd. No need to flaunt our deeds.~ */ GOTO 6
END

IF ~~ THEN BEGIN 3 // from: 0.0
  SAY #2642 /* ~Are you... Are you scared about your test at all?~ */
  IF ~~ THEN REPLY #2644 /* ~Minsc, we'll not make friends with you boasting about what heroes we are.~ */ DO ~SetGlobal("RefusedRamazith","GLOBAL",1)
~ GOTO 1
  IF ~~ THEN REPLY #2645 /* ~Right you are, Minsc. Only good things will come from the examples we set.~ */ GOTO 6
END

IF ~~ THEN BEGIN 4 // from: 0.3 0.2
  SAY #2649 /* ~You cannot always win, can you...~ */
  IF ~~ THEN REPLY #2666 /* ~Gauth~ */ DO ~SetGlobal("RefusedRamazith","GLOBAL",1)
~ GOTO 1
  IF ~~ THEN REPLY #2667 /* ~Gauth~ */ GOTO 6
END

IF ~~ THEN BEGIN 5 // from: 0.5 0.4
  SAY #2650 /* ~Yes! Lead evil by example, and one day we need no longer put the boots to those that stray off the path of goodness into the muck and bile of villainy and track great bloody footprints across our lily white tiles! Boo will have clean wood shavings you evil bastards!~ */
  IF ~~ THEN REPLY #2669 /* ~We follow the path that surely leads to glory! Boo is proud to be here, I can tell.~ [MINSC79] */ DO ~SetGlobal("RefusedRamazith","GLOBAL",1)
~ GOTO 1
  IF ~~ THEN REPLY #2670 /* ~It is not worthy of such a fuss, Minsc. A simple, uninspiring act of charity.~ */ GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.1 4.1 3.1 2.1
  SAY #2651 /* ~Good has no need of low profiles! There is no shame in boasting if one follows through, and I am not about to keep my voice low! Perhaps Boo will, but not I!~ */
  IF ~~ THEN REPLY #2647 /* ~I used to want to be a--an actress.~ */ GOTO 7
  IF ~~ THEN REPLY #2648 /* ~Nonsense! All enjoy the sight of heroes. We'll be the talk of the town for days! Wave to the nice people, Boo. Wave to the nice hamster, people. WAVE!~ */ GOTO 9
  IF ~~ THEN REPLY #2668 /* ~Ooooh kaaaay.~ */ GOTO 8
  IF ~~ THEN REPLY #2678 /* ~I know I think clearly because Boo tells me so. That is enough for me, though it never seems to be enough for anyone else. Their loss, for I am content.~ */ GOTO 1
END

IF ~~ THEN BEGIN 7 // from: 8.2 7.2 6.0
  SAY #2653 /* ~Run along, then. I still have some prayers that I must get through before the sun again touches the earth with its rays.~ */
  IF ~~ THEN REPLY #2652 /* ~No, sir.~ */ GOTO 8
  IF ~~ THEN REPLY #2671 /* ~And he should be! We are the righteous standard by which others are judged!~ */ GOTO 9
  IF ~~ THEN REPLY #2672 /* ~I am not trying to please your rodent. I do this because it will benefit me in the long term.~ */ GOTO 7
  IF ~~ THEN REPLY #2677 /* ~It's good that I know you are kidding.  I would hate to have to cleanse my own party of evil.  Always strive to be on the safe end of the justice boot.~ */ GOTO 1
END

IF ~~ THEN BEGIN 8 // from: 8.0 7.0 6.2
  SAY #2654 /* ~Yes--Yes, sir.~ [AERIE57] */
  IF ~~ THEN REPLY #2673 /* ~Minsc, have you considered getting restorative magic for that head of yours?~ */ GOTO 8
  IF ~~ THEN REPLY #2674 /* ~Then say it louder!  We must inspire fear in evil!  Quiet tales of hamsters are foolish, but a man and his hamster that tear evil limb from limb?  That's scary!~ */ GOTO 9
  IF ~~ THEN REPLY #2675 /* ~I only help because it's profitable to do so! I am not some traveling charity show!~ */ GOTO 7
  IF ~~ THEN REPLY #2676 /* ~Now you are speaking the language of Minsc! Next we must get you a hamster! Or perhaps an ice weasel, whatever your tastes.~ */ GOTO 1
END

IF ~~ THEN BEGIN 9 // from: 8.1 7.1 6.1
  SAY #2655 /* ~Anomen... I... I've been watching you since you failed your Test, and...  you... you're starting to scare me a little, I think...~ [AERIE50] */
  IF ~~ THEN DO ~SetGlobal("HelpRamazith","GLOBAL",1)
SetGlobal("RamazithMove","GLOBAL",1)
EscapeArea()
~ JOURNAL #6571 /* ~~ */ EXIT
END

IF ~~ THEN BEGIN 10 // from:
  SAY #2656 /* ~I need no pressure from you, Aerie.  Leave me be.~ [ANOMEN48] */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 /* Triggers after states #: 21 even though they appear after this state */
~Global("HelpRamazith","GLOBAL",1)
Global("RamazithMove","GLOBAL",1)
!PartyHasItem("MISC68")
~ THEN BEGIN 11 // from:
  SAY #2657 /* ~Just because you failed your Test doesn't mean you have to abandon everything good about the Order, does it?  I mean... you were almost a paladin!~ */
  IF ~~ THEN DO ~ForceSpell(LastTalkedToBy,WIZARD_LIGHTNING_BOLT)
SetGlobal("RamazithMove","GLOBAL",2)
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 12 // from:
  SAY #2658 /* ~That's just it, isn't it? I was almost a paladin, I was almost strong enough.  Well, almost isn't good enough, Aerie... so no, it doesn't mean a thing. Not anymore.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 /* Triggers after states #: 21 even though they appear after this state */
~Global("HelpRamazith","GLOBAL",1)
PartyHasItem("MISC68")
~ THEN BEGIN 13 // from:
  SAY #2659 /* ~Paralyze~ */
  IF ~~ THEN DO ~SetGlobal("HelpRamazith","GLOBAL",2)
TakePartyItem("MISC68")
DestroyItem("MISC68")
CreateCreature("ABELA",[260.170])
ActionOverride("Abela",Dialogue([PC]))
~ EXIT
END

IF ~~ THEN BEGIN 14 // from:
  SAY #2660 /* ~But Anomen-~ */
  IF ~~ THEN DO ~~ GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.0
  SAY #2661 /* ~Get out, girl!  Did you hear me?  I won't have you hounding me!  Get out!!~ */
  IF ~~ THEN DO ~GiveItem("BRAC02",LastTalkedToBy)
SetGlobalTimer("Ramazith","GLOBAL",15)
SetGlobal("HelpRamazith","GLOBAL",3)
~ EXIT
END

IF WEIGHT #5 /* Triggers after states #: 21 even though they appear after this state */
~GlobalTimerExpired("Ramazith","GLOBAL")
Global("RamazithMove","GLOBAL",1)
~ THEN BEGIN 16 // from:
  SAY #2662 /* ~Beholder~ [elder] */
  IF ~~ THEN REPLY #2732 /* ~THE Yoshimo? Feared by all?~ */ GOTO 20
  IF ~~ THEN REPLY #2733 /* ~In that case, how did you come to be here?~ */ GOTO 18
  IF ~~ THEN REPLY #2734 /* ~I do not know how long I was there before awakening.~ */ GOTO 17
END

IF ~~ THEN BEGIN 17 // from: 18.1 16.2
  SAY #2663 /* ~Beholder~ */
  IF ~~ THEN DO ~ForceSpell(LastTalkedToBy,WIZARD_LIGHTNING_BOLT)
SetGlobal("RamazithMove","GLOBAL",2)
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 18 // from: 16.1
  SAY #2664 /* ~Sunray~ */
  IF ~~ THEN REPLY #2736 /* ~Do you think that we are in Athkatla?~ */ GOTO 20
  IF ~~ THEN REPLY #2737 /* ~How do I know that you aren't some sort of fiend here to lure me into a trap?~ */ GOTO 17
  IF ~~ THEN REPLY #2738 /* ~I do not know a way to escape this place. Perhaps we could search for this exit together.~ */ JOURNAL #6572 /* ~Riddle of the Imps

Apparently, I have solved the imps' riddle correctly and may now open the 6th chest while they protect me from... whatever is inside.~ */ GOTO 19
END

IF ~~ THEN BEGIN 19 // from: 18.2
  SAY #2665 /* ~Death Ray~ */
  IF ~~ THEN DO ~ForceSpell(LastTalkedToBy,WIZARD_LIGHTNING_BOLT)
SetGlobal("RamazithMove","GLOBAL",2)
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 20 // from: 18.0 16.0
  SAY #2735 /* ~If that is what you think then you do not know Minsc.  I never cower!  Boo does, but he fears being underfoot.  I do not!  I am the over-foot placing evil at end-of-boot!~ */
  IF ~~ THEN DO ~SetGlobalTimer("Ramazith","GLOBAL",20)
~ EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 21 // from:
  SAY #6110 /* ~Strange thing, the whole time I swear his eyes followed me, though he was long dead by then.  Hmph.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #6 ~True()
~ THEN BEGIN 22 // from:
  SAY #6111 /* ~Ye nay worry 'bout the same fate befalling ye.  Belly up and I'll flail poetic fer ye.~ */
  IF ~~ THEN EXIT
END
